#ifndef _UTILS_H_
#define _UTILS_H_

#define CR '\r'
#define LF '\n'
#define TAB '\t'
#define SPACE ' '
#define BS '\b'
#define STR_LENGTH 128
#define CMD_LENGTH 32 
    
typedef int (*FuncPtr)(void) ;
    
typedef struct _cmd_func_st {
    char    *cmd ;
    FuncPtr func ;
    char    *description ;
} cmd_func_type ;
    

void print(char *str) ;
int get_string(char str[]) ;
int get_line(char str[]) ;
FuncPtr get_func(char cmd[]) ;
int str2lower(char *str) ;
int str2upper(char *str) ;

    
#endif /* _UTILS_H_ */
