#ifndef _FPS_UTILS_H_
#define _FPS_UTILS_H_
#include "project.h"
#include <stdio.h>
#include "GT521F32.h"
#include "GT521F32_Defs.h"
    
// #define MAX_ID          3000 /* for GT521F52 (0~2999) */
#define MAX_ID          200 /* for GT521F32 (0~199) */
#define LED_ON          fps_led(1)
#define LED_OFF         fps_led(0) ;

#define OK_OR_RETURN     if(result==0){print("OK\n");}else{print("Failed\n");LED_OFF;return(result);}

int wait_finger_touch(void) ;
int wait_finger_release(void) ;
    
int FPS_Open(int extra_info) ;
int FPS_Close(void) ;
int FPS_Baudrate(int baud) ;
int FPS_FastSearch(void) ;
int FPS_EnrollAFingerAt(int id) ;

#endif /* _FPS_UTILS_H_ */
